--[[
This file is part of Exploding numbers - a puzzle game

Exploding numbers is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
]]

levels = {
	{
		{1, 2, 6, 10, 14, 1},
		goal = 3,
		solution = {
			{-2, -2}
		}
	},
	{
		{1, 2},
		{0, 1, 1},
		{0, 0, 1, 1},
		{0, 0, 0, 2, 1},
		goal = 3,
		solution = {
			{-2, -4}, {0, 1}, {1, -1}, {-3, -2}, {-1, -3}
		}
	},
	{
		{32},
		goal = 7,
		solution = {
			{-1, -1}, {-1, -1}, {-1, -1}, {-1, -1}
		}
	},
	{
		{2, 2},
		{2, 2},
		goal = 5,
		solution = {
			{-1, -3}, {-3, -2}, {-3, -1}, {-1, -3}
		}
	},
	{
		{0, 2, 0, 2},
		{3, 1, 0, 1, 3},
		goal = 6,
		solution = {
			{-2, -3}, {0, -3}, {-1, -1}, {-4, -1}, {-4, -1},
			{2, -1}, {2, -1}, {-2, 0}, {-2, 0}, {0, 0},
			{0, 0}, {1, -2}, {1, -2}, {-3, -2}, {-3, -2}
		}
	},
	{
		{4, 0, 0, 0, 0},
		{0, 0, 1, 1, 0},
		{0, 0, 0, 1, 4},
		goal = 5,
		solution = {
			{2, 0}, {2, 0}, {0, 1}, {0, 1}, {1, -1}, {1, -1}, {-4, -2},
			{-2, -3}, {-4, -2}, {-2, -3}, {-3, -1}
		}
	},
	{
		{8, 0, 2, 0, 8},
		goal = 11,
		solution = {
			{2, -1}, {2, -1}, {2, -1}, {-4, -1}, {-4, -1}, {-2, 0},
			{-4, -1}, {-2, -1}, {-3, -2}, {-1, -3}, {-3, -2}, {-2, -1},
			{-2, -1}, {-1, -3}, {-2, -1}
		}
	},
	{
		{4, 2, 3},
		{2, 4, 2},
		{1, 2, 4},
		goal = 16,
		solution = {
			{-3, -2}, {-2, -3}, {-1, -2}, {-2, -3}, {0, -3}, {0, -3}, {0, 1},
			{0, 1}, {-1, 1}, {1, -1}, {1, -1}, {1, -1}, {-3, -1}, {-3, -1}
		}
	},
	{
		{2, 5},
		{15, 20},
		{11, 3, 10},
		goal = 40,
		solution = {
			{-2, -3}, {-3, -1}, {1, 0}, {-1, 1}, {-3, -1}, {-3, -1}, {-1, 1}
		}
	},
	{
		{0, 0, 0, 0, 9, 99, 9},
		{0, 0, 0, 0, 9, 15, 9},
		{9, 9, 9, 9, 9, 15, 9},
		{9, 15, 15, 25, 15, 15, 9},
		{9, 15, 9, 9, 9, 9, 9},
		{9, 15, 15, 15, 15, 20, 9},
		{9, 9, 9, 9, 9, 9, 9},
		goal = 104,
		solution = {
			{1, 1}, {0, 1}, {-1, 1}, {-2, 1}, {-3, 1}, {-3, 0}, {-3, -1},
			{-2, -1}, {-2, 0}, {-2, 0}, {0, 0}, {1, 0}, {1, -1}, {1, -2},
			{1, -3}
		}
	},
	{
		{0, 2},
		{2, 1, 2},
		{0, 2, 0, 2},
		{0, 0, 2, 2, 2},
		{0, 0, 0, 2},
		goal = 7,
		solution = {
			{2, 0}, {0, 2}, {-1, 1}, {1, -1}, {0, 0}, {-1, 1}, {1, -1},
			{-2, -4}, {-2, 0}, {0, -2}, {-1, -1}, {0, -2}, {-2, 0}, {-4, -2},
		}
	},
	{
		{2, 2, 0},
		{2, 1, 0},
		{0, 1, 0},
		{0, 1, 2},
		{0, 2, 2},
		goal = 5,
		solution = {
			{-3, -3}, {-2, -1}, {-3, -3}, {-1, -3}, {-2, -4}, {-1, -3},
			{-3, -2}, {-1, -3}, {1, 1}, {0, -1}, {1, 1}, {-1, 1}, {0, 2},
			{-1, 1}, {1, 0}, {-1, 1}
		}
	},
	{
		{0, 6},
		{1, 1, 1},
		{6, 1, 6},
		{1, 1, 1},
		{0, 6},
		goal = 21,
		solution = {
			{-1, -4}, {-1, 2}, {-1, 0}, {-1, -2}, {-1, -4}, {-1, -4}, {-1, 2},
			{-1, 2}, {0, -3}, {0, 1}, {-3, -2}, {-3, 0}, {-1, -2}, {-1, 0},
			{-1, 2}, {-1, -4}, {1, -1}, {1, -1}, {0, 1}, {0, -3}, {1, -1},
			{1, -1}, {-2, -3}, {-2, 1}, {-3, -1}, {-3, -1}, {-3, -1}
		}
	},
	{
		{96},
		{},
		{},
		{},
		{0,0,0,1},
		goal = 64,
		solution = {
			{-3, -4}, {-3, -4}, {-3, -4}, {-4, -2}, {-3, -4}, {-4, -2},
			{-2, -3}, {-4, -2}, {-4, -2}, {-4, -2}, {-2, -3}, {-3, -1},
			{-2, 0}, {-2, -3}, {-3, -1}, {-1, -2}, {-2, 0}, {-2, -3},
			{0, -1}, {0, -1}, {-2, 0}, {0, 2}, {0, -1}, {0, 2}, {0, 2},
			{-1, 1}, {1, 0}, {-2, -3}, {-2, -3}, {1, 0}, {0, -1}, {1, 0},
			{-1, 0}, {-1, 2}, {-1, 2}, {-2, 1}, {-3, 0}, {-1, 0}, {0, -1},
			{0, -1}, {0, -1}, {-2, 1}
		},
	},
	{
		{10, 10},
		{10, 0, 14},
		{0, 14, 14},
		goal = 66,
		solution = {
			{1, -1}, {-1, -3}, {-1, -1}, {1, 0}, {-1, 1}, {-2, 0}, {-2, 0},
			{1, 0}, {1, 0}, {1, -1}, {0, 1}, {0, 1}, {1, -1}, {1, -1},
			{-2, -3}, {-1, -3}, {0, -2}, {0, -2}, {-3, -1}, {-2, -3}, {-2, -3},
			{-2, -3}, {1, 0}, {-1, 1}, {-1, 1}, {-1, 1}, {-1, 1}, {-3, -1},
			{-3, -1}, {-3, -1}, {-3, -1}
		}
	},
	{
		{0, 6},
		{5, 0, 10},
		{0, 3},
		goal = 19,
		solution = {
			{-2, -2}, {0, 0}, {1, -2}, {0, -3}, {1, -2}, {-1, -3},
			{-1, -1}, {-1, 1}, {1, -1}, {1, -1}, {-1, -1}, {-3, -1},
			{-3, -1}, {-3, -1}, {-1, 1}, {-1, 1}, {1, -1}, {0, 0},
			{1, -2}, {-1, -3}, {-1, -3}, {-1, -3}
		}
	},
	{
		{0, 0, 0, 12},
		{},
		{},
		{12, 0, 0, 0, 0, 0, 4},
		{0, 1, 0, 0, 0, 3},
		{0, 0, 1, 0, 3},
		{0, 0, 0, 2},
		goal = 18,
		solution = {
			{3, -1}, {1, -2}, {3, -1}, {2, 0}, {0, -1}, {3, -1}, {2, 0},
			{1, 1}, {1, -2}, {0, -1}, {2, 0}, {0, -1}, {-1, 3}, {0, 1},
			{0, 1}, {0, 1}, {-2, 2}, {-1, 0}, {-2, 2}, {-3, 1}, {-5, -1},
			{-5, -1}, {-3, -2}, {-3, 1}, {-1, 0}, {-2, -1}, {-2, -1}, {-2, -1},
			{-3, 0}, {-3, 0}, {-5, -1}, {-3, 0}, {-4, -2}, {-3, -3}, {-2, -1},
			{-2, -1}, {-5, -1}, {-5, -1}, {-5, -1}, {-3, 0}, {-3, 0}, {-3, 0},
			{-4, -2}, {-4, -2}, {-4, -2}, {-2, -1}, {-2, -1}, {-2, -1}, {-3, -3},
			{-3, -3}, {-1, -2}, {-3, -3}, {-1, -2}, {-1, -2}
		}
	},
	{
		{3, 3, 333, 3, 3},
		{3, 0, 0, 0, 3},
		{3, 0, 0, 0, 3},
		{3, 0, 0, 0, 3},
		{3, 3, 4, 3, 3},
		goal = 200,
		solution = {
			{-1, 1}, {0, 1}, {1, 1}, {1, 0}, {1, -1}, {1, -2}, {1, -3},
			{1, -3}, {1, -3}, {-1, -2}, {-2, -4}, {0, -5}, {0, -5}, {1, -3},
		}
	},
	{
		{0, 99},
		{},
		{},
		{},
		{},
		{8, 8, 8},
		{8, 8, 8},
		{8, 8, 8},
		goal = 100,
		solution = {
			{1, 0}, {1, 0}, {-1, 1}, {-2, 3}, {-2, 3}, {-2, 1}, {-1, 0},
			{-2, 1}, {-3, -1}, {-2, 1}, {-1, 0}, {-3, -1}, {-1, 0}, {-2, -2},
			{-1, 0}, {-4, 0}, {-2, 1}, {-3, -1}, {-1, 0}, {-2, -2}, {0, -1},
			{0, -1}, {-2, -2}, {0, -1}, {1, -3}, {1, -3}, {1, -3}, {0, -1},
			{1, -3}, {-1, -3}, {-1, -3}
		}
	},
	{
		{10, 13, 10},
		{13, 8, 13},
		{10, 13, 10},
		goal = 1,
		solution = {
			{0, -3}, {1, -1}, {0, 1}, {1, -1}, {-2, 1}, {-1, -1}, {-2, -1},
			{-2, -2}, {-2, -1}
		}
	},
	{
		{1, 0, 1, 0, 1},
		{4, 4, 4, 4, 4},
		{1, 0, 1, 0, 1},
		goal = 12,
		solution = {
			{1, -1}, {2, -2}, {2, 0}, {-1, -1}, {1, -1}, {-2, -2}, {0, -3},
			{0, -1}, {0, -1}, {0, -1}, {-1, 1}, {0, -1}, {-4, -1}, {-4, -1}
		}
	},
	{
		{4, 0, 4, 0, 4},
		{0, 4, 0, 4},
		{4, 0, 4, 0, 4},
		{0, 4, 0, 4},
		{4, 0, 4, 0, 4},
		goal = 32,
		solution = {
			{-1, -3}, {-1, 1}, {2, 1}, {2, 1}, {0, 2}, {2, -1}, {2, -1},
			{0, 2}, {-4, 1}, {-4, 1}, {-2, 2}, {-2, 2}, {-4, -1}, {-4, -1},
			{-4, -3}, {-4, -3}, {-2, -4}, {-2, -4}, {2, -3}, {2, -3}, {0, -4},
			{0, -4}, {-1, -1}, {0, -1}, {-2, -1}, {2, -1}, {-4, -1}, {1, 0},
			{1, 0}, {1, 0}, {-3, 0}, {-3, 0}, {-3, 0}, {1, -2}, {1, -2},
			{1, -2}, {-3, -2}, {-3, -2}, {-3, -2}, {-1, -3}, {-1, -3}, {-1, -3},
			{-1, -3}, {-1, 1}, {-1, 1}, {-1, 1}, {-1, 1}
		}
	},
	{
		{21},
		{},
		{},
		{},
		{16},
		goal = 28,
		solution = {
			{-1, 2}, {0, 0}, {-1, 2}, {0, 0}, {-1, 2}, {-1, 2}, {-2, 1},
			{-3, -1}, {-2, 1}, {-3, 0}, {0, 0}, {-1, 0}, {-2, -2}, {-3, -1},
			{-2, 1}, {-2, 1}, {-2, 1}, {-3, -1}, {-1, 0}, {-1, 0}, {-1, 0},
			{-3, -1}, {-3, -1}, {-1, -1}, {-1, -1}, {-1, -1}, {-1, -1}
		}
	},
	{
		{0, 2},
		{2, 2, 1, 1},
		{0, 1, 0, 1, 2},
		{2, 1, 1, 2},
		{0, 1, 2, 0, 2},
		{0, 1, 2, 1, 2},
		goal = 5,
		solution = {
			{2, -2}, {1, 2}, {-1, 2}, {0, 0}, {-4, -1}, {-2, -5}, {-4, -3},
			{-2, -3}, {-2, -3}, {0, -4}, {0, -2}, {1, -3}, {-1, -4}, {0, -2},
			{-2, -3}, {-2, -1}, {-3, 0}, {-2, -1}, {-1, 0}, {0, -2}, {-2, -1},
			{0, -2}, {-1, 0}
		}
	},
	{
		{9, 4, 9},
		goal = 17,
		solution = {
			{-1, 0}, {0, -2}, {-1, 0}, {0, -2}, {-2, -3}, {-2, 0}, {-2, -3},
			{-2, 0}, {-2, -1}, {-3, -2}, {-3, -2}, {-3, -2}, {-2, -1},
			{-1, -3}, {-1, -3}, {-1, -3}, {-2, -1}, {-2, -1}, {-2, -1}
		}
	},
	{
		{5, 10, 5, 5, 10},
		{10, 6, 6, 6, 5},
		{5, 6, 2, 6, 10},
		{10, 6, 6, 6, 5},
		{5, 10, 5, 5, 10},
		goal = 1,
		solution = {
			{-2, -4}, {-4, -2}, {-2, -2}, {-2, -2}, {-4, 0}, {-2, 0}, {-2, 0},
			{2, 1}, {0, 2}, {0, 0}, {2, -3}, {0, -4}, {0, -2}, {0, -2},
			{2, -1}, {0, -1}, {1, -1}, {1, -1}
		}
	},
	{
		{3, 1, 3, 1, 3},
		{1, 1, 1, 1, 1},
		{3, 1, 4, 1, 3},
		{1, 1, 1, 1, 1},
		{3, 1, 3, 1, 3},
		goal = 18,
		solution = {
			{-1, -1}, {-1, -1}, {-1, -4}, {-1, -4}, {-1, 2}, {-1, 2},
			{-1, 0}, {-1, -2}, {1, -1}, {-3, -1}, {1, -1}, {-3, -1},
			{2, -3}, {2, -3}, {-4, -3}, {-4, -3}, {2, 1}, {2, 1},
			{-4, 1}, {-4, 1}, {-2, 1}, {0, 1}, {1, 2}, {2, 0}, {-3, 2},
			{-4, 0}, {0, -3}, {-2, -3}, {1, -4}, {2, -2}, {-3, -4},
			{-4, -2}, {-1, 2}, {-1, 2}, {-1, -4}, {-1, -4}, {0, 0},
			{-2, -2}, {0, -3}, {0, -3}, {-2, 1}, {-2, 1}, {-2, -2},
			{-2, -2}, {0, 0}, {0, 0}, {-2, 1}, {-2, 1}, {0, -3}, {0, -3},
			{1, -1}, {1, -1}, {1, -1}, {-3, -1}, {-3, -1}, {-3, -1}
		}
	},
	{
		{1, 2, 3, 3, 2, 1},
		{1, 2, 3, 3, 2, 1},
		{1, 2, 3, 3, 2, 1},
		goal = 17,
		solution = {
			{-3, -3}, {-3, 1}, {-3, -1}, {-2, -1}, {-1, -1}, {-2, -3}, {-2, -3},
			{-3, -3}, {-3, 1}, {-5, -1}, {-3, -1}, {-2, 1}, {-2, 1}, {-3, -1},
			{-3, -1}, {-3, -1}, {0, -3}, {-1, -2}, {-1, 0}, {-2, 1}, {-3, -1},
			{-2, -3}, {-3, -1}, {-1, -2}, {0, -1}, {0, 1}, {0, 1}, {0, -3},
			{0, -1}, {1, -3}, {1, -1}, {0, 1}, {0, -3}, {2, -2}, {2, 0},
			{0, 1}, {1, -1}, {1, -1}, {0, -3}, {1, -1}
		}
	},
	{
		{7, 3, 3, 3, 4, 0},
		{0, 0, 0, 0, 1, 1},
		{0, 9, 0, 0, 0, 0},
		goal = 17,
		solution = {
			{0, -3}, {1, -2}, {-1, -2}, {0, -3}, {0, -1}, {0, -1}, {-2, -3},
			{-1, -2}, {-3, -2}, {-2, -3}, {-2, -1}, {-2, -3}, {0, -1}, {-4, -3},
			{-4, -3}, {-5, -1}, {-4, -3}, {-5, -1}, {-5, -1}, {-3, -2}, {-3, -2},
			{-3, -2}, {-4, 0}, {-4, 0}, {-4, 0}, {-4, 0}, {-2, 1}, {-2, 1},
			{-2, 1}, {-2, 1}
		}
	},
	{
		{0, 3, 0, 3},
		{4, 0, 0, 0, 4},
		{0, 3, 0, 3},
		goal = 9,
		solution = {
			{-3, 0}, {-4, -2}, {-2, -3}, {-2, -3}, {-4, -1}, {-2, -1}, {-3, 0},
			{-1, 1}, {-3, 0}, {-2, -1}, {2, -1}, {2, -1}, {0, -1}, {0, -3},
			{0, -3}, {0, 1}, {0, 1}, {-2, -1}, {2, -1}, {-1, 1}, {-2, -1}
		}
	},
	{
		{0, 2, 2, 0, 0},
		{0, 2, 1, 2, 2},
		{2, 1, 1, 1, 2},
		{2, 2, 1, 2, 0},
		{0, 0, 2, 2, 0},
		goal = 12,
		solution = {
			{-1, 2}, {1, 1}, {-1, 2}, {-1, -4}, {-3, -3}, {-1, -4},
			{2, -2}, {-4, 0}, {-3, -2}, {1, 0}, {-4, 0}, {2, -2},
			{0, -3}, {0, -3}, {-2, 0}, {-3, 1}, {-2, 0}, {-4, -1},
			{-3, -2}, {-2, 0}, {-3, -2}, {0, -1}, {1, 0}, {-2, 0},
			{0, -1}, {0, -1}, {1, 1}, {1, 1}, {-1, 1}, {0, 2}, {-1, 1},
			{-1, 1}, {-2, 0}, {1, 0}, {0, -1}, {0, -1}, {-1, 1},
			{-2, 0}, {-3, -2}, {-2, 0}, {0, -1}, {-2, 0}, {-3, -2},
			{-3, -2}, {2, -2}, {0, -1}, {1, -3}, {-1, -4}
		}
	},
	{
		{0, 0, 1},
		{0, 0, 3, 4},
		{1, 3, 1, 3, 1},
		{0, 0, 3},
		{0, 0, 1},
		goal = 9,
		solution = {
			{1, -2}, {0, -3}, {0, 0}, {0, 0}, {1, -2}, {1, -2}, {-1, -2},
			{-2, -3}, {-2, -1}, {-1, -1}, {0, 0}, {0, 0}, {0, -2}, {-1, -1},
			{-1, -4}, {-1, -4}, {0, -2}, {-2, -3}, {-2, -3}, {-2, 1}, {-2, 1},
			{0, -2}, {-2, -3}, {-4, -1}
		}
	},
	{
		{0, 0, 0, 0, 4},
		{1, 1, 1, 1},
		{1, 11, 11, 1},
		{1, 11, 11, 1},
		{1, 1, 1, 1},
		goal = 40,
		solution = {
			{2, -3}, {0, -4}, {2, -3}, {1, -2}, {0, -4}, {-1, -3}, {-1, -1},
			{-1, -3}, {-1, -3}, {1, -2}, {0, -1}, {0, -1}, {-2, -1}, {0, -4},
			{-1, -3}, {1, -2}, {-1, -3}, {-1, -1}, {-1, 0}, {-1, -1}, {1, 1},
			{-1, 2}, {-1, 0}, {-1, -3}, {-1, -3}, {-1, -1}, {-1, 1}, {1, 0},
			{0, -1}, {-2, 2}, {0, -1}, {1, 0}, {0, 2}, {0, 2}, {1, 0},
			{-1, 0}, {0, -4}, {-1, -3}, {0, -1}, {0, -1}, {0, -4}, {1, -2},
			{-1, -3}, {0, -1}, {-2, -1}, {1, 1}, {0, 2}, {-1, 1}, {1, 0},
			{0, 2}, {-1, 1}, {-3, 2}, {-4, 0}, {1, 0}, {0, -1}, {0, -1},
			{-1, 1}, {0, -1}, {-2, -1}, {-2, -3}, {-4, -1}, {-4, -1}, {-2, -2},
			{0, -1}, {-4, -1}, {-1, -3}, {0, -1}, {-3, -3}, {-2, -2}, {-4, -1},
			{-2, -2}, {-2, -2}
		}
	},
	{
		{4, 1, 1, 0, 1, 1, 4},
		{0, 0, 1, 0, 1},
		{0, 0, 4, 1, 4},
		{0, 0, 1, 0, 1},
		{4, 1, 1, 0, 1, 1, 4},
		goal = 8,
		solution = {
			{-5, 1}, {-5, 1}, {-3, 2}, {-4, 0}, {3, 1}, {3, 1}, {1, 2},
			{2, 0}, {1, -1}, {1, 2}, {2, 0}, {1, -1}, {-1, -2}, {-1, -2},
			{-2, -1}, {-1, -2}, {-1, 0}, {-1, -2}, {0, 0}, {1, -1}, {0, 0},
			{-1, -2}, {0, 0}, {-3, 2}, {-4, 0}, {-5, -3}, {-5, -3}, {-3, -4},
			{-3, -4}, {-3, -2}, {-3, -2}, {-4, 0}
		}
	},
	{
		{1, 1, 1, 1, 1, 1, 1},
		{1, 12, 1, 8, 1, 4, 1},
		{1, 1, 1, 1, 1, 1, 1},
		goal = 18,
		solution = {
			{1, -1}, {1, -1}, {-3, -1}, {-4, -1}, {-3, -3}, {-3, -3}, {-5, -2},
			{-3, 1}, {-3, 1}, {-5, 0}, {-3, -3}, {-4, -1}, {-4, -1}, {-4, -1},
			{-3, 1}, {-4, -1}, {-2, -1}, {-3, -1}, {-2, -3}, {-2, -3}, {-2, 1},
			{-3, -1}, {-2, 1}, {-3, -1}, {-3, -1}
		}
	},
	{
		{11, 0, 1, 2, 3, 4, 5},
		goal = 12,
		solution = {
			{1, 0}, {2, -2}, {1, 0}, {2, -2}, {0, -3}, {0, -1}, {-1, -2},
			{0, -1}, {3, -1}, {1, 0}, {0, -1}, {3, -1}, {3, -1}, {2, -2},
			{2, -2}, {0, -3}, {0, -3}, {1, 0}, {1, 0}, {2, -2}, {2, -2},
			{-1, -2}, {0, -3}, {0, -1}, {1, 0}, {0, -3}, {2, -2}, {2, -2},
			{0, -3}, {0, -3}, {0, -1}, {1, 0}, {-1, 1}, {0, -1}, {-2, 0},
			{-3, -1}, {0, -1}, {0, -1}, {-1, -2}, {-2, -1}, {-1, -2}, {-3, -3},
			{-2, -1}
		}
	},
	{
		{2, 5},
		{15, 20},
		{11, 3, 10},
		goal = 58,
		solution = {
			{-2, -3}, {-3, -1}, {-3, -1}, {-2, -1}, {-3, 0}, {1, 0}, {-1, 1},
			{-2, 1}, {-2, -3}, {-2, -1}, {-2, 0}, {-4, -1}, {-3, -2}, {-1, 1},
			{-2, 0}, {-2, 0}, {-1, -3}, {-3, -2}, {-1, -3}, {-1, -3}, {1, 0},
			{1, 0}, {1, 0}, {-1, 1}, {-1, 1}, {-1, 1}
		}
	},
	{
		{0, 0, 1, 1, 1},
		{0, 0, 1, 16, 1},
		{1, 1, 1, 1, 1, 1, 1},
		{1, 12, 1, 8, 1, 4, 1},
		{1, 1, 1, 1, 1, 1, 1},
		goal = 29,
		solution = {
			{-3, 0}, {-4, 0}, {-3, -2}, {-3, -2}, {-5, -1}, {-3, 2}, {-3, 2},
			{-5, 1}, {-3, 2}, {-4, 0}, {-4, 0}, {-4, 0}, {-3, -2}, {-4, 0},
			{1, 0}, {1, 0}, {-2, 0}, {-2, -1}, {-4, 0}, {-4, 0}, {-2, 2},
			{-2, 2}, {-3, -2}, {-4, 0}, {-2, -1}, {-2, -1}, {-2, -1}, {-1, 0},
			{0, 0}, {-1, -1}, {0, 0}, {0, 0}, {-2, 2}, {-2, 2}, {-2, 2},
			{-2, 0}, {0, 0}, {0, 0}, {-1, 2}, {-1, 2}, {-2, 1}, {0, 0},
			{0, 0}, {-1, 2}, {0, 0}, {0, -2}, {-1, -1}, {-1, -1}, {-2, 1},
			{-2, 1}, {-2, 1}, {1, -3}, {-1, -4}, {0, -2}, {0, -2}, {-5, 1},
			{-4, 0}, {-4, 0}, {-3, 2}, {-2, 1}, {-2, 1}, {-4, 0}, {-3, -2},
			{-3, -2}, {-4, 0}, {-2, 0}, {-2, 0}, {-3, -2}, {-2, 0}, {-3, -2},
			{-3, -2}, {-3, -2}
		}
	}
}


levels.last_original_level = #levels
